Subject: Re: [PATCH v2] merge-file: fix BUG when --object-id is used in a worktree

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Wed, 11 Mar 2026 12:14:11 +0100

On Wed, Mar 11, 2026, at 07:44, Mathias Rav wrote:
>[snip]
> As for the quotes in the commit references, I use gitk's "Copy commit
> reference" daily and am personally used to the quotes. Since
> SubmittingPatches seems to give equal preference to --pretty=reference and
> "Copy commit reference" I didn't think that the quotes were a problem.

> (I wonder how controversial it would be to remove the quotes in gitk.)

Turns out that this has been attempted least once before:

https://lore.kernel.org/git/[email-masked]/